package com.ruoyi.learn.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学习计划对象 learn_plan
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public class LearnPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计划id */
    private Long id;

    /** 学生id */
    @Excel(name = "学生id")
    private Long studentId;

    /** 视频课时间 */
    @Excel(name = "视频课时间")
    private Integer videoTime;

    /** 练题数 */
    @Excel(name = "练题数")
    private Integer questionCnt;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private Integer status;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date firstTime;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginTime;

    /** 统计情况 */
    @Excel(name = "统计情况")
    private String stats;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setStudentId(Long studentId)
    {
        this.studentId = studentId;
    }

    public Long getStudentId()
    {
        return studentId;
    }

    public void setVideoTime(Integer videoTime)
    {
        this.videoTime = videoTime;
    }

    public Integer getVideoTime()
    {
        return videoTime;
    }

    public void setQuestionCnt(Integer questionCnt)
    {
        this.questionCnt = questionCnt;
    }

    public Integer getQuestionCnt()
    {
        return questionCnt;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Date getFirstTime() {
        return firstTime;
    }

    public void setFirstTime(Date firstTime) {
        this.firstTime = firstTime;
    }

    public void setBeginTime(Date beginTime)
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }

    public void setStats(String stats) 
    {
        this.stats = stats;
    }

    public String getStats() 
    {
        return stats;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("studentId", getStudentId())
            .append("videoTime", getVideoTime())
            .append("questionCnt", getQuestionCnt())
            .append("status", getStatus())
            .append("beginTime", getBeginTime())
            .append("createTime", getCreateTime())
            .append("stats", getStats())
            .toString();
    }
}
